<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PackageAvail StructType
 * @subpackage Structs
 */
class PackageAvail extends AbstractStructBase
{
    /**
     * The PackageAvailRQ
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\JP_PackageAvailabilityRQ
     */
    public $PackageAvailRQ;
    /**
     * Constructor method for PackageAvail
     * @uses PackageAvail::setPackageAvailRQ()
     * @param \StructType\JP_PackageAvailabilityRQ $packageAvailRQ
     */
    public function __construct(\StructType\JP_PackageAvailabilityRQ $packageAvailRQ = null)
    {
        $this
            ->setPackageAvailRQ($packageAvailRQ);
    }
    /**
     * Get PackageAvailRQ value
     * @return \StructType\JP_PackageAvailabilityRQ|null
     */
    public function getPackageAvailRQ()
    {
        return $this->PackageAvailRQ;
    }
    /**
     * Set PackageAvailRQ value
     * @param \StructType\JP_PackageAvailabilityRQ $packageAvailRQ
     * @return \StructType\PackageAvail
     */
    public function setPackageAvailRQ(\StructType\JP_PackageAvailabilityRQ $packageAvailRQ = null)
    {
        $this->PackageAvailRQ = $packageAvailRQ;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\PackageAvail
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
